Get all the approval requests.
Requires the QUOTE.VIEW, INVOICE.VIEW or PRICING_PLAN_SCHEDULE.VIEW permission. Returns only approval requests whose source you may view: QUOTE_VERSION requires QUOTE.VIEW; INVOICE requires INVOICE.VIEW; PRICING_PLAN_SCHEDULE requires PRICING_PLAN_SCHEDULE.VIEW. Expanding approval_policies also requires APPROVAL_POLICY.VIEW.
Authentication
X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
version
version
Headers
x-platform-id
Platform ID.
Query parameters
source_type
The object type in which this Approval Request was triggered. I.e. INVOICE.
source_id
The ID of the object type that triggered this Approval Request.
source_ids[]
Filter Approval Requests based on multiple source IDs of the same source_type, e.g. pricing plan schedules of a subscription.
user_id
The ID of the user to check if they are an approver.
statuses[]
Filter Approval Request based on status(es)
limit
The amount of records shown in the list
page
The page which is going to be shown
order_by
The parameter by which the response is ordered.
order_direction
The order direction by which the response is ordered.
expand[]
The id fields of the resources that are going to be expanded.
Response
OK
data
links
limit
page
total_number_of_pagesDeprecated
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error